Crystal Space
Welcome, Guest. Please login or register.
April 17, 2014, 05:01:53 pm

Login with username, password and session length
Search:     Advanced search
8990 Posts in 2037 Topics by 7594 Members
Latest Member: Wandagarcia
* Home Help Search Login Register
+  Crystal Space
|-+  Crystal Space Development
| |-+  Support
| | |-+  No 3D driver!
« previous next »
Pages: [1] Print
Author Topic: No 3D driver!  (Read 2051 times)
Brutha
Newbie
*
Posts: 3


View Profile Email
« on: July 19, 2007, 01:59:13 pm »


Hi,

I wanted to test Crystal Space on my 64 Bit Ubuntu (Nvidia Card). First I downloaded the packages for Ubuntu, which didn't work at all. So I downloaded Crystal Space 1.0.1 (after removing the packages) and used ./configure and jam /all and everything compiled fine. I set the path in /etc/environment CRYSTAL="home/brutha/crystalspace-source-1.0.1"

When I try any of the demos I get:

WARNING: could not load plugin 'crystalspace.graphics3d.opengl'
WARNING: failed to initialize plugin 'crystalspace.console.output.standard'
DEBUG: Sound System Software Renderer Initializing...
No 3D driver!
crystalspace.system:  No iGraphics3D plugin!
crystalspace.system:  Error initializing system!

So I checked the output of configure and it says: checking for OpenGL... no
I installed any packages I could find for 3d like Mesa-Dev and Glut-Dev but I can't get it to work.
The NVIDIA-Drivers are installed and work fine. I guess I'm missing some 3d-Dev Package, but which one?

If it helps, "glxinfo |grep render" says:
direct rendering: Yes
OpenGL renderer string: GeForce 8800 GTX/PCI/SSE2
GL_NV_vertex_program3, GL_NVX_conditional_render, GL_SGIS_generate_mipmap,
Logged
jorrit
Administrator
Hero Member
*****
Posts: 1704


View Profile
« Reply #1 on: July 19, 2007, 02:00:40 pm »

You are probalby missing the OpenGL development stuff (libraries and include). Try getting mesa-dev package and reconfigure/build CS.

Greetings,
Logged
Brutha
Newbie
*
Posts: 3


View Profile Email
« Reply #2 on: July 19, 2007, 02:25:40 pm »

Thanks for the fast answer.

I have
libgl1-mesa-dev
libgl1-mesa-dri
libgl1-mesa-glx
libglu1-mesa
libglu1-mesa-dev
mesa-common-dev
libosmesa6
libosmesa6-dev

(all 6.5.2-3ubuntu7).

Still doesn't work and I can't find anymore Mesa-Packages.
Logged
Darek
Newbie
*
Posts: 48



View Profile
« Reply #3 on: July 19, 2007, 04:42:23 pm »

too much mesa, possible conflicts
much important are: nvidia-glx-dev and xorg-dev
Logged
Brutha
Newbie
*
Posts: 3


View Profile Email
« Reply #4 on: July 20, 2007, 11:21:38 am »

Thanks.. the Problem is the missing nvidia-glx-dev. Which I can't install with my packet-manager because I downloaded the Nvidia drivers from their webpage. Guess I have to Install the Ubuntu-Nvidia Drivers
Logged
Pages: [1] Print 
« previous next »
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.2 | SMF © 2006-2007, Simple Machines LLC Valid XHTML 1.0! Valid CSS!
Page created in 8.471 seconds with 19 queries.